import { JavaObject } from '../../../java/lang/JavaObject';
import { GostBlockungSchiene } from '../../../core/data/gost/GostBlockungSchiene';
import { GostBlockungRegel } from '../../../core/data/gost/GostBlockungRegel';
import { Vector } from '../../../java/util/Vector';
import { GostBlockungKurs } from '../../../core/data/gost/GostBlockungKurs';
export declare class GostBlockungsdaten extends JavaObject {
    id: number;
    name: String;
    gostHalbjahr: number;
    schienen: Vector<GostBlockungSchiene>;
    regeln: Vector<GostBlockungRegel>;
    kurse: Vector<GostBlockungKurs>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostBlockungsdaten;
    static transpilerToJSON(obj: GostBlockungsdaten): string;
    static transpilerToJSONPatch(obj: Partial<GostBlockungsdaten>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostBlockungsdaten(obj: unknown): GostBlockungsdaten;
